aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorJeremy Benoist <jeremy.benoist@gmail.com>2016-11-03 16:41:29 +0100
committerJeremy Benoist <jeremy.benoist@gmail.com>2016-11-03 16:41:29 +0100
commit5a619812ca3eb05a82a023ccdaee13501eb8d45f (patch)
treea1541999a3e13f9bb8b45d3a61320ee61aa4eb3c /scripts
parentda4136557963018287cae61226e9006c3c741747 (diff)
parent84795d015b3c7e1af48a3dda3cb33cf080b66e8f (diff)
downloadwallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.tar.gz
wallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.tar.zst
wallabag-5a619812ca3eb05a82a023ccdaee13501eb8d45f.zip
Merge remote-tracking branch 'origin/master' into 2.2
Diffstat (limited to 'scripts')
-rw-r--r--scripts/dev.sh14
-rw-r--r--scripts/install.sh10
-rw-r--r--scripts/require.sh9
-rw-r--r--scripts/update.sh10
4 files changed, 35 insertions, 8 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh
index 9b89da35..0703ced1 100644
--- a/scripts/dev.sh
+++ b/scripts/dev.sh
@@ -1,7 +1,13 @@
1#! /usr/bin/env bash 1#!/usr/bin/env bash
2# You can execute this file to install wallabag dev environmnet 2# You can execute this file to install wallabag dev environment
3# eg: `sh install.sh prod` 3# eg: `sh dev.sh`
4 4
5composer install 5COMPOSER_COMMAND='composer'
6
7DIR="${BASH_SOURCE}"
8if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi
9. "$DIR/require.sh"
10
11$COMPOSER_COMMAND install
6php bin/console wallabag:install 12php bin/console wallabag:install
7php bin/console server:run 13php bin/console server:run
diff --git a/scripts/install.sh b/scripts/install.sh
index 54d0bb78..62a46f4f 100644
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -1,10 +1,16 @@
1#! /usr/bin/env bash 1#!/usr/bin/env bash
2# You can execute this file to install wallabag 2# You can execute this file to install wallabag
3# eg: `sh install.sh prod` 3# eg: `sh install.sh prod`
4 4
5COMPOSER_COMMAND='composer'
6
7DIR="${BASH_SOURCE}"
8if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi
9. "$DIR/require.sh"
10
5ENV=$1 11ENV=$1
6TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) 12TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
7 13
8git checkout $TAG 14git checkout $TAG
9SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist 15SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist
10php bin/console wallabag:install --env=$ENV 16php bin/console wallabag:install --env=$ENV
diff --git a/scripts/require.sh b/scripts/require.sh
new file mode 100644
index 00000000..ddfb3dd2
--- /dev/null
+++ b/scripts/require.sh
@@ -0,0 +1,9 @@
1#! /usr/bin/env bash
2# File used to check dependencies
3
4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7else
8 COMPOSER_COMMAND='composer.phar'
9fi
diff --git a/scripts/update.sh b/scripts/update.sh
index b920a829..f43c4f24 100644
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -1,7 +1,13 @@
1#! /usr/bin/env bash 1#!/usr/bin/env bash
2# You can execute this file to update wallabag 2# You can execute this file to update wallabag
3# eg: `sh update.sh prod` 3# eg: `sh update.sh prod`
4 4
5COMPOSER_COMMAND='composer'
6
7DIR="${BASH_SOURCE}"
8if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi
9. "$DIR/require.sh"
10
5ENV=$1 11ENV=$1
6TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) 12TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
7 13
@@ -9,5 +15,5 @@ rm -rf var/cache/*
9git fetch origin 15git fetch origin
10git fetch --tags 16git fetch --tags
11git checkout $TAG --force 17git checkout $TAG --force
12SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist 18SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist
13php bin/console cache:clear --env=$ENV 19php bin/console cache:clear --env=$ENV